Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023972Runner[All Projects] HTML5Public2016-10-03 10:512017-03-17 10:52
ReporterblueFire 
Assigned ToRussell Kay 
PriorityNoneSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
PlatformHTML5OS OS Version
Summary0023972: HTML5: Project will not run due to Syntax Error
DescriptionCreated a project which runs with no errors on windows but will not run at all on HTML5. I get an error message in the web console saying: syntaxError: expected expression, got keyword 'instanceof'PC-1.js:213:394
Additional InformationOriginal helpdesk ticket: http://help.yoyogames.com/tickets/112244 [^]

Attached project is https://yoyogames.zendesk.com/attachments/token/4bz2B3DLVBWtMesWBQsx8xeMR/?name=PC-1.gmz [^]
1.4 Version1.4.1760
2.x Runtime Version
2.x Runtime Version Verified In
Attached Files

- Relationships

-  Notes
(0051316)
Russell Kay (Manager)
2017-01-25 14:24

The problem you are seeing is that you have used

sprite_index[0] = spr

in the Image Loaded async event of the controller_affiliate object this is being erroneously compiled, it should actually be

sprite_index = spr

as the sprite_index built in variable does not handle arrays
(0051317)
Russell Kay (Manager)
2017-01-25 14:41

Fixed in gitlab 9cc9497
(0052257)
Ross Manthorp (Administrator)
2017-03-17 10:52

Verified. Closing.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker